using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
            }
            Console.WriteLine("0");
            /*int[] a = new int[n];
            int[] b = new int[n];
            int[] c = new int[m];
            int[] d = new int[m];
            int[,] mat = new int[n,m];
            int[] r1 = new int[n * m];
            int[] r2 = new int[n * m];
            int[] r3 = new int[n * m];
            for (int i = 0; i < n; i++)
            {
                s = Console.ReadLine().Split();
                a[i] = int.Parse(s[0]);
                b[i] = int.Parse(s[1]);
            }
            for (int i = 0; i < m; i++)
            {
                s = Console.ReadLine().Split();
                c[i] = int.Parse(s[0]);
                d[i] = int.Parse(s[1]);
            }
            int br = 0;
            int suma = 0;
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < m; j++)
                {
                    if (a[i] == c[j])
                    {
                        r1[br] = i + 1;
                        r2[br] = j + 1;
                        r3[br] = a[i];
                        b[i] -= r3[br];
                        d[j] -= r3[br];
                        suma += r3[br];
                        br++;
                    }
                }
            }
            Console.WriteLine(suma);
            Console.WriteLine(br);
            for (int i = 0; i < br; i++)
            {
                Console.WriteLine(r1[i] + " " + r2[i] + " " + r3[i]);
            }*/
        }
    }
}